=== debian/changelog ===
xrdialog (0.2.0-1) trixie; urgency=medium

  [ Sebastian Mogl ]
  * Added example secret configuration
  * Remove CI test files
  * Add CI for package building
  * Add missing dependencies for CI build
  * Fix upload artifact action
  * Rename desktop file to use out own namespace and add application/en16931+xml as mimetype to open.
  * removed qt-linguist as dependency.

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Mon, 26 Jan 2026 12:28:04 +0100

xrdialog (0.1.0-1) trixie; urgency=medium

  * Initial release

 -- Heinz Graesing <heinz-m.graesin@treuchtlingen.de>  Sat, 11 Jan 2026 15:30:00 +0100
