=== debian/changelog ===
xrdialog (0.3.0-1) trixie; urgency=medium

  * Update to Version 0.3-0-1 - "finally editable" 	changed:       CMakeLists.txt 	chnaged:       po/de/xrdialog.po

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Wed, 28 Jan 2026 08:12:43 +0100

xrdialog (0.2.0-2) trixie; urgency=medium

  [ Heinz-M. Graesing ]
  * new release 0.2.0-1 	changed:       CMakeLists.txt 	changed:       po/de/xrdialog.po
  * changed size of thumbnails (higher resolution) 	changed:       src/thumbnailgenerator.cpp
  * seperation of processing and data section of .directory file 	changed:       src/invoiceoperations.cpp
  * first try of nuew build instructions (ci based) 	changed:       README.md
  * corrected verion of README.md pushed 	changed:       README.md
  * added git animation of xrdialog 	new:     doc/screenshots/xrdialog.gif
  * added build_deb.sh execution 	chaned:       README.md
  * added Text to Open File Dialog, added Versioning description to README.md 	changed:       README.md 	changed:       qml/main.qml
  * it's now possible to edit already created invoices and get the data placed into the form 	changed:       src/invoiceoperations.cpp 	changed:       src/invoiceoperations.h
  * fixed log writing in case of invoice editing 	changed:       src/workflowlogger.cpp 	changed:       src/workflowlogger.h

  [ h1 ]
  * README.md aktualisiert

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Wed, 28 Jan 2026 07:55:22 +0100
