=== debian/changelog ===
xrdialog (0.3.3-1) trixie; urgency=medium

  * Fixed ISSUE with filenames containing slashes "/" "\" 	changed:       qml/main.qml 	changed:       src/invoiceoperations.cpp
  * Version VERSION 0.3.3 (No Slash Order)

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Wed, 28 Jan 2026 08:58:17 +0100

xrdialog (0.3.0-2) trixie; urgency=medium

  * Bugfix replace(" ", "_") -> (" ", "-") to avoid additional "_" chars in filenames FIXME: should be fixed in frontend **TOO** 	changed:       src/invoiceoperations.cpp

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Wed, 28 Jan 2026 08:30:10 +0100
