=== debian/changelog ===
xrdialog (0.3.5-2) trixie; urgency=medium

  * changed to new standard based .directory format

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Fri, 30 Jan 2026 08:31:33 +0100

xrdialog (0.3.5-1) trixie; urgency=medium

  * changed to specification based .directory entries

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Fri, 30 Jan 2026 08:27:42 +0100
