=== debian/changelog ===
xrdialog (0.6.0-2) trixie; urgency=medium

  * nex try

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Thu, 05 Feb 2026 14:29:05 +0100

xrdialog (0.6.0-1) trixie; urgency=medium

  * new version 0.6.0-1 (new try)

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Thu, 05 Feb 2026 14:20:32 +0100

xrdialog (0.3.4-0) trixie; urgency=medium

  * new release 0.4.0...

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Thu, 05 Feb 2026 14:13:25 +0100

xrdialog (0.3.5-12) trixie; urgency=medium

  * removed comment

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Thu, 05 Feb 2026 14:04:04 +0100

xrdialog (0.3.5-11) trixie; urgency=medium

  [ Heinz-M. Graesing ]
  * added bert to build.yaml for test results
  * removed Bert
  * added gettext
  * push after rebase

  [ Sebastian Mogl ]
  * Empty test commit
  * Roll back the build.yaml to 637ebe059f5796a38fa3c30b23ef99ed2266120b
  * Add the optionto trigger CI build by hand

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Thu, 05 Feb 2026 13:56:15 +0100

xrdialog (0.3.5-10) trixie; urgency=medium

  * added translation dependencies to build.yaml

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Thu, 05 Feb 2026 08:08:17 +0100

xrdialog (0.3.5-9) trixie; urgency=medium

  * fixed logging cancelled invoice comment
  * new release 0.3.9 (better cancelled support)

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Wed, 04 Feb 2026 05:17:21 +0100

xrdialog (0.3.5-8) trixie; urgency=medium

  * new version due to update_deb_changelog.sh probmlems

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Mon, 02 Feb 2026 08:41:11 +0100

xrdialog (0.3.5-7) trixie; urgency=medium

  * new version: 0.3.7 (now first version of invoice cancellation)

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Mon, 02 Feb 2026 08:33:58 +0100

xrdialog (0.3.5-6) trixie; urgency=medium

  * new version 0.3.6 - fixed rename issue (not able anymore to rename foldername untile a better solution is found)

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Mon, 02 Feb 2026 08:01:43 +0100
