## xrdialog 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(xrdialog VERSION 0.6.0 LANGUAGES CXX)
+project(xrdialog VERSION 0.6.1 LANGUAGES CXX)
 
 # C++ standard
 set(CMAKE_CXX_STANDARD 17)
