=== debian/changelog ===
xrdialog (0.6.1-0) trixie; urgency=medium

  * making it possible to overriede test on existing invoice id
  * override of invoice check now only possible in create mode

 -- Heinz-M. Graesing <heinz-m.graesing@treuchtlingen.de>  Mon, 09 Feb 2026 07:41:50 +0100
