=== debian/control ===
Source: xrdialog
Section: utils
Priority: optional
Maintainer: Heinz Graesing <heinz-m.graesing@treuchtlingen.de>
Build-Depends: debhelper-compat (= 13),
	build-essential,
	cmake (>= 3.16),
	pkg-config,
	extra-cmake-modules,
	qt6-tools-dev,
	qt6-base-dev,
	qt6-declarative-dev,
	libkf6i18n-dev,
	kirigami2-dev
Standards-Version: 4.6.2
Homepage: https://www.treuchtlingen.stadt/xrdialog

Package: xrdialog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	pdftk-java | pdftk,
	ghostscript,
	ocrmypdf,
	tesseract-ocr-eng,
	tesseract-ocr-deu
Description: Invoice metadata dialog for structured directory creation
